# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
name = "qook"
version = "0.15.1"
build = "src/build.rs"
links = "qrack_pinvoke"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "qook - Pure Rust unitaryfund/qrack Wrapper"
homepage = "https://github.com/unitaryfund/qook"
documentation = "https://pyqrack.readthedocs.io/en/latest/"
readme = "README.md"
keywords = [
    "quantum",
    "qrack",
    "gpu",
    "hpc",
    "c++",
]
categories = [
    "api-bindings",
    "emulators",
    "science",
    "simulation",
]
license = "MIT"
repository = "https://github.com/unitaryfund/qook"

[features]
default = ["use_f32"]
use_f32 = []
use_f64 = []

[lib]
name = "qook"
crate-type = ["lib"]
path = "src/lib.rs"
test = false
doctest = false
bench = false
doc = false

[[example]]
name = "simple"
path = "examples/simple.rs"

[build-dependencies.bindgen]
version = "0.69.4"
